Module javafx.base
Package javafx.beans.property

# Class StringPropertyBase

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase

All Implemented Interfaces:
  `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`

Direct Known Subclasses:
  `SimpleStringProperty`, `StyleableStringProperty`

    public abstract class StringPropertyBase
    extends StringProperty

The class `StringPropertyBase` is the base class for a property wrapping a `String` value. It provides all the functionality required for a property except for the `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()` methods, which must be implemented by extending classes.

Since:
  JavaFX 2.0
See Also:
  `StringProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StringPropertyBase()` | The constructor of the `StringPropertyBase`.
  `StringPropertyBase​(String initialValue)` | The constructor of the `StringPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
  `protected void` | `invalidated()` | The method `invalidated()` can be overridden to receive invalidation notifications.
  `String` | `toString()` | Returns a string representation of this `StringPropertyBase` object.

  ### Methods declared in class javafx.beans.property.StringProperty

  `bindBidirectional, bindBidirectional, unbindBidirectional`

  ### Methods declared in class javafx.beans.binding.StringExpression

  `concat, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### StringPropertyBase

    public StringPropertyBase()
    The constructor of the `StringPropertyBase`.

  - ### StringPropertyBase

    public StringPropertyBase​(String initialValue)
    The constructor of the `StringPropertyBase`.
    Parameters:
      `initialValue` - the initial value of the wrapped `String`

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `WritableObjectValue.set(java.lang.String)` or in case of a bound property, if the binding becomes invalid.

  - ### invalidated

    protected void invalidated()
    The method `invalidated()` can be overridden to receive invalidation notifications. This is the preferred option in `Objects` defining the property, because it requires less memory. The default implementation is empty.

  - ### toString

    public String toString()
    Returns a string representation of this `StringPropertyBase` object.
    Overrides:
      `toString` in class `StringProperty`
    Returns:
      a string representation of this `StringPropertyBase` object.